%%
clc
clear;
close all;

addpath util

%%
nw = 3e3;
% Angular frequency the Laplace variable is evaluated at
% w = linspace(3e-3,60*2*pi,nw)';
w = linspace(1e-1,60*2*pi,nw)';
% w = linspace(1e-1,10*2*pi,nw)';

% w = logspace(-.5,2.5,nw)';
% Laplace variable
s = 1j*w;

% Run script setting physical parameters
parameters

%%
Zap  =   zeta_ap.*sqrt(1 + ka./s);
Zac  =   zeta_ac.*sqrt(1 + ka./s);
Gap  =   s.*t_ap.*sqrt(1 + ka./s);
Gac  =   s.*t_ac.*sqrt(1 + ka./s);

ZaL   = zeta_ap*1e2*1e3;

ga_p = zeta_ap./Zap .*(Zap+ZaL.*tanh(Gap)) ./(ZaL+Zap.*tanh(Gap));
ZaLc = zeta_ap./ga_p;
ga   = zeta_ac./Zac .*(Zac+ZaLc.*tanh(Gac)) ./(ZaLc+Zac.*tanh(Gac));

%% Sub
% Sub equations
damp = Ds*s+Ks;
g_subAppr = zeta_ac*s./( Mb*s.^2 + Ds*s + Ks);

%% Collar-sub and pipe system
ga_s = zeta_ap.*( damp.*ga_p/zeta_ap + s ) ./ damp ;
ZaLc = zeta_ap./ga_s;
g_su2   = zeta_ac./Zac .*(Zac+ZaLc.*tanh(Gac)) ./(ZaLc+Zac.*tanh(Gac));

%%
delay = (1-exp(-s*tN));
Ga      =   ga      .*Ka./s.*delay;
Ga_sub  =   g_su2   .*Ka./s.*delay;

pp = 1/2/pi;
shocksub_bode

%%
% h = figure(1);
% pdfmatlabfrag2(h,'hh');

% h = figure(2);
% pdfmatlabfrag2(h,'gaFFF');

% h = figure(3);
% pdfmatlabfrag2(h,'Ht');

% h = figure(4);
% pdfmatlabfrag2(h,'gsub');

% h = figure(11);
% pdfmatlabfrag2(h,'delayPhase');

% h = figure(12);
% pdfmatlabfrag2(h,'GGG');

% pdfmatlabfrag2(h,'Ht');

% h = figure(5);
% pdfmatlabfrag2(h,'Gasub');
% h = figure(6);
% pdfmatlabfrag2(h,'Nyquist');


% h = figure(15);
% pdfmatlabfrag2(h,'bode_contributions');

% h = figure(16);
% pdfmatlabfrag2(h,'Gsub');

















