
%%
% figure(1); clf;
% bodelin(ga_p,w);
% bodelin(ga,w);
% subplot(211);
% plot(w,db(w*0+(1+eta_a)/(1-eta_a)))
% plot(w,db(w*0+(1-eta_a)/(1+eta_a)))
% axis tight
% 
figure(2); clf;
% polarDiagram([Ga],h,30)
opt.hz = 1;
bodelin([ga, g_su2],w,opt)
%
ff1 = pi/t_ac*[1 1 2 2 3 3]/2/pi;
ff2 = pi/t_ac*([1 1 2 2 3 3]+1/4)/2/pi;
subplot(211); hold on;
plot(ff1,[-1 1 1 -1 -1 1]*60,'k--');
plot(ff2,[-1 1 1 -1 -1 1]*60,'k--');
subplot(212); hold on;
plot(ff1,[-1 1 1 -1 -1 1]*200,'k--');
plot(ff2,[-1 1 1 -1 -1 1]*200,'k--');

subplot(211); ylim([-40 40]); xlim([0 20])
subplot(212); ylim([-100 100]); xlim([0 20])
subplot(211);
l = legend('$g_a(s)$','$g_{a,sub}(s)$','location','best');
set(l,'Interpreter','Latex');
%%
figure(4); clf
pp = 1/2/pi;
subplot(211);
semilogx(w*pp,db([ga])); 
hold all;
semilogx(w*pp,db([g_su2])); 
semilogx(w*pp,db([g_subAppr]),'--'); 
xlim([0 max(w*pp)]);
ylim([-40 40])
grid on;
ylabel('Magnitude (dB)');
% boldify
setLatexLabels;

subplot(212);
semilogx(w*pp,radtodeg(angle(ga)));
hold all
semilogx(w*pp,radtodeg(angle(g_su2)) ); 
semilogx( w*pp,radtodeg(angle(g_subAppr)),'--'); 
ylabel('Phase (deg)');
% xlabel('(rad/s)');
xlim([0 max(w*pp)])
grid on;
setLatexLabels;
xlabel('Frequency (Hz)');
subplot(211)
l = legend('$g_a(s)$','$g_{a,sub}(s)$','$g_{a,sub}(s)$ approx.','location','best');
set(l,'Interpreter','Latex');

%%
figure(5); clf
pp = 1/2/pi;
subplot(211);
semilogx(w*pp,db([Ga Ga_sub]));
hold all;
semilogx(w*pp,w*db(1),':k');
grid on;
ylabel('Magnitude (dB)');
ylim([-40 40])
setLatexLabels;
xlim([0 max(w*pp)]);

subplot(212);
% wp = [1 2 3 5 6 7 8 9 10 13:14];
wp = [5:7 9 11 13 14];
semilogx(w*pp,radtodeg(angle(Ga)) + sum(ones(size(w))*wp<pp*tN*w*ones(size(wp)),2)*360); 
hold all
wp = [1 3 5 7 9 11 13 14];
semilogx(w*pp,radtodeg(angle(Ga_sub)) + sum(ones(size(w))*wp<pp*tN*w*ones(size(wp)),2)*360); 

semilogx(w*pp,-180+0*w,':k'); 
ylabel('Phase (deg)');
xlim([0 max(w*pp)])
ylim([-360 180])
grid on;
setLatexLabels;
xlabel('Frequency (Hz)');

subplot(211)
l = legend('$G_a$','$G_{a}$ with tool','location','best');
set(l,'Interpreter','Latex');
%%
% figure(15); clf
% subplot(211);
% semilogx(w*pp,db([g_sub*Ka./s, delay]));
% hold all;
% semilogx(w*pp,w*db(1),':k');
% grid on;
% ylabel('Magnitude (dB)');
% ylim([-40 80])
% setLatexLabels;
% xlim([0 max(w*pp)]);
% 
% subplot(212);
% semilogx(w*pp,radtodeg(angle(g_sub*Ka./s)) ); 
% hold all
% semilogx(w*pp,radtodeg(angle(delay))); 
% semilogx(w*pp,-180+0*w,':k'); 
% ylabel('Phase (deg)');
% xlim([0 max(w*pp)])
% ylim([-200 100])
% grid on;
% setLatexLabels;
% xlabel('Frequency (Hz)');
% 
% subplot(211)
% l = legend('$\frac{K_ag_{sub}(s)}{s}$','$(1-e^{-st_N})$','location','best');
% set(l,'Interpreter','Latex');

%%
h = figure(6); clf;
polarDiagram([Ga,Ga_sub],h,30);
l = legend('$G_a(s)$','$G_{a}(s)$ with tool','location','best');
set(l,'Interpreter','Latex');

% h = figure(16); clf;
% polarDiagram([Ga_sub+Gt_i,Ga_sub+Gt_m],h,30)
% l = legend('$G(s)$ with axial sub and $Z_{t,L}=100*c_t$',...
%     '$G(s)$ with axial sub and $Z_{t,L}=c_t$','location','best');
% set(l,'Interpreter','Latex');


%%

% h = figure(4);
% pdfmatlabfrag2(h,'gsub');

% h = figure(5);
% pdfmatlabfrag2(h,'Gasub');

% h = figure(6);
% pdfmatlabfrag2(h,'Nyquist_sub');
