%% h = polarDiagram(G,h,scale,lStyle)
function h = polarDiagram(G,h,scale,lStyle)
if nargin == 1
    h = figure();
    scale = 20;
    lStyle = '-';
elseif nargin == 2
    scale = 20;
    lStyle = '-';
elseif nargin == 3
    lStyle = '-';
end

figure(h);
if iscell(G)
    for i=1:numel(G);
        Gc = G{i};
        mag = db(Gc);
        mag = mag.*(mag>-scale*2) - scale*2.*(mag<=-scale*2);
        mag = (mag+scale*2)/scale/2;
        [Im,Re] = pol2cart(unwrap(angle(Gc)),mag);

        % plot(Im,Re,'LineWidth',1);
        plot(Im,Re,'LineWidth',2,'linestyle',lStyle);
        hold all;
    end
else
    mag = db(G);
    mag = mag.*(mag>-scale*2) - scale*2.*(mag<=-scale*2);
    mag = (mag+scale*2)/scale/2;
    [Im,Re] = pol2cart(unwrap(angle(G)),mag);

    % plot(Im,Re,'LineWidth',1);
    plot(Im,Re,'LineWidth',2,'linestyle',lStyle);
    hold all;
end


% Plotting background diagram;
angles=0:pi/72:2*pi;
circ=.01.*(cos(angles)+1j.*sin(angles));
plot(circ,'-r','LineWidth',2);
circle(0,0.5,'r-');
circle(0,0.6666666667,'r-.');
circle(0,0.833333333,'r-.');
circle(0,1,'r-');
circle(0,1.16666667,'r-.');
circle(0,1.33333333,'r-.');
circle(0,1.5,'r-');
phase_lines(24,0.5,1.5,'r-.');
phase_lines(8,0.5,1.5,'r-');
plot(-1,0,'ko','LineWidth',2.5);
%plot([-1.5 1.5],[0 0]); plot([0 0],[-1.5 1.5]);
text(0.03,-0.05,['-' num2str(2*scale)],'FontSize',9); 
text(0.4141, -0.3331,['-' num2str(scale)],'FontSize',9); 
text(0.8, -0.64,'0 dB','FontSize',10);
text(1.1924, -0.9575,['+' num2str(scale)],'FontSize',9);
xlim([-1.5 1.5]); ylim([-1.5 1.5]);

set(gca,'YTick',[]);
set(gca,'XTick',[]);

% title('Logarithmic Nyquist Diagram');
end

function circle(zcentre,radius,plotdata)
    angles=0:pi/72:2*pi;
    circ=zcentre+radius.*(cos(angles)+1j.*sin(angles));
    plot(circ,plotdata);
end

function phase_lines(n,rstart,rend,plotdata)
hold on;
angles=0:2*pi/n:2*pi;
lines=ones(n,2);
for k=1:n
    zh = cos(angles(k))+1j*sin(angles(k));
    lines(k,1)= rstart*zh;
    lines(k,2)= rend*zh;
    plot(real(lines(k,:)),imag(lines(k,:)),plotdata);
 end
end